LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   404errors when running apt-get update already tried sudo rm /var/lib/apt/lists/* -vf (http://www.linuxquestions.org/questions/linux-software-2/404errors-when-running-apt-get-update-already-tried-sudo-rm-var-lib-apt-lists-%2A-vf-947637/)

rasec8711 05-30-2012 03:01 PM

404errors when running apt-get update already tried sudo rm /var/lib/apt/lists/* -vf
 
Hello! So I'm new to Linux, but I have 3 Linux firewalls/gateways that I want to update, I'm sure they haven't been touched or messed with in the last 5 or 6 years.

So like I said, I am new to Linux and am trying to update these boxes, one at a time. I found out that I need to run apt-get update but I'm getting errors. I've searched for hours in google and found one thing that seemed to fixed people's problems, but it didn't fix it for me.

ANYWAYS, HERE'S THE OUTPUT:

resident:/var/lib/apt/lists# sudo apt-get update
Err http://security.debian.org lenny/updates/main Packages
404 Not Found [IP: 128.31.0.36 80]
Ign http://security.debian.org lenny/updates/main Release
Err http://security.debian.org lenny/updates/contrib Packages
404 Not Found [IP: 128.31.0.36 80]
Get:1 http://http.us.debian.org stable/main Packages [8635kB]
Ign http://security.debian.org lenny/updates/contrib Release
Err http://security.debian.org lenny/updates/non-free Packages
404 Not Found [IP: 128.31.0.36 80]
Ign http://security.debian.org lenny/updates/non-free Release
Get:2 http://http.us.debian.org stable/main Release [95B]
Fetched 8635kB in 34s (250kB/s)
Failed to fetch http://security.debian.org/dists/len...86/Packages.gz 404 Not Found [IP: 128.31.0.36 80]
Failed to fetch http://security.debian.org/dists/len...86/Packages.gz 404 Not Found [IP: 128.31.0.36 80]
Failed to fetch http://security.debian.org/dists/len...86/Packages.gz 404 Not Found [IP: 128.31.0.36 80]
Reading Package Lists... Error!
E: Unable to parse package file /var/lib/apt/lists/http.us.debian.org_debian_dists_stable_main_binary-i386_Packages (1)
E: The package lists or status file could not be parsed or opened.


HERE'S MY SOURCES.LIST FILE:


deb http://http.us.debian.org/debian stable main

deb http://security.debian.org/ lenny/updates main contrib non-free


HERE'S WHAT I'VE TRIED:

sudo rm /var/lib/apt/lists/* -vf
sudo apt-get update


But I keep getting the same output after running these commands.

Any help? Remember, I'm new and had no idea that apt-get was used to install/update "stuff" so I may be missing something obvious.

Thanks in advance!

Refractor 05-31-2012 12:58 AM

According to http://wiki.debian.org/DebianLenny Lenny's security updates ended on Feb 06 2012.
404 is HTTP not found error, which means that the files are not on the remote server. You have to use the archived repositories to update your lenny system.
Perhaps try something like
Code:

deb http://archive.debian.org/debian lenny main contrib non-free
deb http://archive.debian.org/debian-security lenny/updates main contrib non-free

in your sources.list and apt-get update.

rasec8711 05-31-2012 10:33 AM

Refractor! Thank you so much! That did it!

I had found several solutions like this, but they showed how to use the archive to get etch updates instead of lenny. Wow, like I said, I don't know much but I'm learning.

Thanks a lot!


All times are GMT -5. The time now is 02:57 AM.